@import url("https://fonts.googleapis.com/css2?family=Gabarito:wght@400..900&family=Karla:ital,wght@0,200..800;1,200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@font-face {
  font-family: "GT America Trial Exp Bl";
  font-style: normal;
  font-weight: normal;
  src: local("GT America Trial Exp Bl"),
    url("fonts/GT-America-Expanded-Black-Trial.woff") format("woff");
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

body {
  font-family: "Karla", sans-serif;
  background-color: #ffffff;
  color: #000000;

  margin-top: 176px;
}

button {
  border: none;
  background-color: transparent;
}

.text {
  margin-top: 1.5rem;
}
.text-bold {
  font-size: 32px;
  font-weight: 400;
  padding: 32px 0;
}

.lead {
  font-size: 32px;
  max-width: 1116px;
}
.lead-small {
  font-size: 18px;
  padding: 40px 0;
}

.cover-text2 span {
  color: #a7f797;
  /* padding: 0 8px; */
  max-width: 400px;
}
.light {
  display: flex;
  align-items: center; /* Centra verticalmente */
  justify-content: center;
  gap: 8px;
  padding-bottom: 14px;
}

.back-to-top {
  display: inline-flex;
  align-items: center;
  gap: 5px;
}

.container {
  max-width: 1162px;
  margin: 0 auto;
  padding: 0 20px;
}

.outside {
  display: none;
}
.inside {
  display: block;
}

/* header-nav */
header {
  background: #ffffff;
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
}
header .navbar {
  width: 100%;
  max-width: 1122px;
  margin: 0 auto;
  background-color: #ffffff;

  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 40px 0;
}

footer .navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 40px 0;
}

.right {
  display: flex;
  gap: 20px;
}

.footer-list {
  display: flex;
  gap: 20px;
}

.nav-list,
.nav-social {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
  align-items: center;
}
.home {
  display: none;
}
.current {
  font-weight: 600;
}

.nav-list a,
.nav-social a {
  font-size: 16px;
  margin: 0 10px;
  color: #000000;
}

.nav-social a {
  font-size: 22px;
  display: inline-flex;
}

/* hidden menu toggle big screen */
.open-menu,
.close-menu {
  text-decoration: none;
  display: none;
  border: none;
  font-size: 20px;
  background: transparent;
}

/*  Swiper style */
.swiper {
  width: 100%;
  height: auto;
}
.swiper-wrapper {
  padding: 40px 0;
}
.swiper-slide img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

/* Pagination */
.swiper-pagination {
  bottom: 10px;
}

/* change style arrow slider */
.swiper-button-prev,
.swiper-button-next {
  width: 20px;
  height: 20px;
  color: #fff !important; /* arrow color */
  background-color: rgba(0, 0, 0, 0.3);

  margin: -5px 3px;
  border-radius: 2px;
}

.swiper-button-prev::after,
.swiper-button-next::after {
  font-size: 10px !important; /* arrow rezise */
}

/* change pagination color */
.swiper-pagination-bullet {
  background: #212126 !important;
  transform: scale(1.4);
  margin: 0 7px !important;
}

/* change pagination color activ*/
.swiper-pagination-bullet-active {
  background: #212126 !important;
}

/* grid-container */

.grid-container {
  display: grid;
  grid-template-rows: repeat(6, 1fr);
  grid-template-columns: repeat(3, 1fr);
  gap: 32px;
  margin: auto;
  padding: 32px 0;
}

.image-container {
  max-width: 366px;
  position: relative;
  display: inline-block;
  object-fit: cover;
}

.image-container img {
  display: block;
  width: 100%;
  height: auto;
}

.image-container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #a7f797;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
}

.image-container:hover .info-text {
  display: block;
  cursor: pointer;
}

/* *** */
.image-container h3,
.image-container p {
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  margin: 0;
  color: #212126;
  font-size: 18px;
  opacity: 0;
  transition: opacity 0.5s ease;
  z-index: 1;
}

.image-container h3 {
  text-align: center;
  top: 47%;
  font-size: 20px;
  width: 100%;
}
.image-container p {
  top: 55%;
  font-size: 12px;
}

.image-container:hover::after {
  opacity: 0.9;
}

.image-container:hover p,
.image-container:hover h3 {
  opacity: 1;
}

/* modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(67, 67, 67, 0.7);
  overflow-y: auto;

  justify-content: center;
  align-items: center;
}

.modal-content {
  background-color: white;
  margin: 12% auto;
  width: 90%;
  max-width: 920px;
  height: auto;
  border-radius: 2px;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding: 20px;
}

.modal-body {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
  width: 100%;

  position: relative;
  padding: 20px;
}

.modal img {
  width: 50%;
  max-width: 400px;
  height: auto;
  object-fit: cover;
  border-radius: 2px;
}

.modal-text {
  padding: 20px;
  max-width: 350px;
  color: #000000;
  text-align: left;
}

.modal-text h2 {
  font-weight: 400;
  font-size: 32px;
  margin-bottom: 10px;
}

.modal-text p {
  font-size: 16px;
  line-height: 1.1;
}

#modalFooter {
  font-weight: 500;
  margin-top: 16px;
  font-size: 1.1rem;
}

.social-links {
  display: flex;
  gap: 16px;
  margin-top: 16px;
}
.social-links li {
  list-style: none;
}

.social-links a {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #000000;
  text-decoration: none;
  font-size: 1.2rem;
  transition: 0.3s;
}

/* Icono close */
.close {
  color: #000000;
  font-size: 1.5rem;
  font-weight: bold;
  position: absolute;
  top: 12px;
  right: 15px;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #aaa;
  text-decoration: none;
}

/* back to top */
section .lead-small2 {
  text-align: right;
  padding: 40px 0;
  font-weight: 500;
}
section .lead-small2 a {
  padding-left: 4px;
  color: #212126;
}

/* index-contact */
.index-contact {
  text-align: center;
  background-color: #212126;
  color: #ffffff;
  border-bottom: 0.5px solid #3d3d46;
}
.index-contact .lead {
  margin: 0 auto;
}
.index-contact .lead-small {
  padding: 20px;
  font-weight: 200;
}
.index-contact-content {
  padding: 40px;
}

/* sponsored */
.sponsored {
  text-align: center;
  padding: 100px 40px 0 40px;
}

.sponsored .lead-small {
  padding: 10px 0;
}
.grid-sponsored {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: repeat(2, auto);
  gap: 0 50px;
  margin-top: 40px;
}

.grid-sponsored img {
  width: 100%;
  height: auto;
  display: block;
  padding: 20px;
}

/* btn */
.btn {
  font-size: 16px;
  display: inline-block;
  padding: 10px 60px;
  background-color: #a7f797;
  color: #212126;
  text-decoration: none;
  border-radius: 2px;
  text-align: center;
  cursor: pointer;
  transition: background-color 0.2s;
}

.btn:hover {
  background-color: #bbe1b4;
}

.dark {
  background-color: #212126;
  color: #ffffff;
  margin-top: 36px;
}
.dark:hover {
  background-color: #3d3d46;
}

/* special-guests */
.special {
  padding-top: 56px;
  padding-bottom: 88px;
  border-bottom: 0.5px solid #f0f0f1;
}
.special-guests-content {
  align-items: center;
  text-align: center;
}
.special-guests-content img {
  max-width: 434px;
  width: 100%;
}
.special-guests-content .lead {
  padding: 16px 16px 0 16px;
}
.text .lead {
  font-size: 40px;
}
.text .lead-about {
  font-size: 26px;
  margin: 32px 0;
}

/* magazines */

.grid-cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 70px 20px;
  margin-top: 80px;
}
.card {
  width: 100%;
  max-width: 241px;
  height: auto;

  padding: 0;
  display: flex;
  flex-direction: column;

  position: relative;
  overflow: hidden;
}

.image-container-mag {
  position: relative;
  width: 100%;
  height: 323px;
}
.card img {
  height: 100%;
  object-fit: cover;
  transition: filter 0.3s ease-in-out;
}
.card:hover img {
  filter: brightness(50%);
}

.icon-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 32px;
  color: white;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  cursor: pointer;
}
.card:hover .icon-overlay {
  opacity: 1;
}

.card-content {
  padding: 24px 0 0 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.card-content p {
  margin: 0;
  max-width: 200px;
}
/* .card-content button */
.btn-mag {
  margin-top: 18px;
  background: #a7f797;
  color: #212126;
  border: none;
  padding: 8px 16px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.2s;
  font-family: "karla";
}
.card-content .btn-mag:hover {
  background-color: #bbe1b4;
}
.btn-magno {
  margin-top: 18px;
  background: #f0f0f1;
  color: #212126;
  border: none;
  padding: 8px 16px;
  cursor: pointer;
  font-size: 14px;
  transition: background-color 0.2s;
  font-family: "karla";
}

/* modal-magazine */
.modal-mag {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  overflow-y: auto;
  z-index: 1000;

  align-items: center;
}
.modal-content-mag {
  margin: 12% auto;
  background: white;
  width: 90%;
  max-width: 920px;

  padding: 40px;
  display: flex;
  gap: 40px;
  position: relative;
  align-items: center;
}
.modal-content-mag img {
  width: 304px;
  height: 408px;
}
.modal-body-mag {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 25px;
  padding: 20px;
}
.close-btn-mag {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  cursor: pointer;
}

.modal-body-mag h2 {
  font-size: 32px;
  font-weight: 400;
  font-family: "Karla", sans-serif;
}
.modal-body-mag .btn-mag,
.modal-body-mag .btn-magno {
  width: 165px;
  font-family: "karla";
  font-size: 16px;
}

.modal-body-mag .btn-mag:hover {
  background-color: #bbe1b4;
}

/* footer */
footer {
  text-align: center;
  background-color: #212126;
  color: #ffffff;
  padding-bottom: 40px;
}

.navbar .brand {
  display: flex;
  align-items: center;
  gap: 32px;
}

footer .nav-list a {
  font-size: 16px;
  margin: 0 10px;
  color: #ffffff;
}

footer .nav-list a:hover {
  color: #a7f797;
}

footer .nav-social a {
  font-size: 20px;
  margin: 0 10px;
  color: #ffffff;
}

footer .nav-social a:hover {
  color: #a7f797;
}

.footer-content {
  display: flex;
  justify-content: space-between;
}

.lead-footer {
  text-align: start;
  color: #ffffff;
  margin-bottom: 20px;
}
.lead-footer2 {
  text-align: start;
  color: #6e6e76;
  max-width: 480px;
  width: 100%;
}

/* about us */

.tittle-content {
  font-weight: 400;
  font-size: 48px;
}

.image-banner {
  width: 100%;
  max-height: 475px;
  object-fit: cover;

  padding: 40px 0;
}

.lead-about {
  font-size: 32px;
}
.lead-small-about {
  font-size: 16px;
  padding: 12px 0;
}
.banner-about .firm,
.banner-magazine .firm {
  display: block;
  margin: 40px auto;
}

.crew {
  padding-bottom: 40px;
}

.tittle-crew {
  text-align: center;
  font-size: 32px;
  font-weight: 400;
  margin-bottom: 2rem;
}
.subtittle-crew {
  font-size: 24px;
}

.container-crew {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  margin-bottom: 4rem;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.crew-content {
  width: 306px;
  height: 280px;
  align-items: center;
  flex-direction: column;
  display: flex;
}
.crew-content-doc {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 4px;
}
.crew-content img {
  display: block;
  margin: 0 auto;
  width: 180px;
  margin-bottom: 16px;
}
.avatar-social {
  display: flex;
  gap: 16px;
  padding: 6px 0;
  margin: 0 auto;
}
.crew-content li {
  list-style: none;
}
.crew-content a {
  color: #000000;
}

.image-banner-m {
  width: 100%;

  object-fit: cover;

  padding: 40px 0;
}

.banner-manifiesto {
  padding-bottom: 60px;
}

/* contact us */
.contact {
  margin-bottom: 80px;
}

.contact-content {
  display: flex;
  gap: 110px;
  margin-bottom: 40px;
}

.datos {
  margin-bottom: 32px;
}

.contact_form {
  padding-top: 40px;
  width: 50%;
}

label {
  display: block;
  margin-top: 10px;
}
input,
textarea {
  width: 100%;
  padding: 8px;
  margin-top: 5px;
  border: 1px solid #212126;
  margin-bottom: 1rem;
}
.required::after {
  content: " *";
  color: red;
}
.index-contact .contact-image {
  width: 40%; /* 100 */
}
.contact-image img {
  width: 100%; /* 100 */
}

.contact .lead-footer2 {
  font-size: 12px;
}

/* cover page */
.covers {
  width: 100%;

  height: auto;
  background: #212126;
}
.cover {
  display: flex;
  width: 100%;
}
.covers .cover-content,
.covers .cover-img {
  width: 50%;
  box-sizing: border-box;
}

.cover-img {
  padding: 50px 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.cover-img img {
  max-width: 100%;
  height: auto;
}

.cover-content {
  padding: 15% 7%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #ffffff;
}
.mode-btn {
  padding: 25px 0;
  width: 310px;
  display: flex;
  justify-content: space-between;
}
.mode-btn a {
  font-weight: 500;
}
.cover .btn {
  width: 143px;
  height: 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
  font-family: "Karla", sans-serif;
  font-size: 16px;
}

.cover-tittle {
  font-family: "GT America Trial Exp Bl";
  font-weight: normal;
  font-size: 48px;
}

.cover-text {
  font-family: "Karla", sans-serif;
  font-size: 17px;
  padding-top: 16px;
}
.cover-text2 {
  font-family: "Karla", sans-serif;
  padding-bottom: 14px;
}
.cover-text2 a {
  color: #ffffff;
  text-decoration: underline;
}
.resp {
  display: none;
  color: #ffffff;
  padding-bottom: 24px;
}
/* .sello img {
  width: 22%;
} */

/* mediaquieries */
@media (width <= 1170px) {
  header .navbar {
    padding: 40px 20px;
  }
}
@media (width <= 1100px) {
  form {
    width: 400px;
  }
  header .navbar {
    padding: 40px 20px;
  }
}

@media (width <= 980px) {
  /* .sello img {
    width: 20%;
  } */
  .covers .cover-content {
    padding: 50px;
  }
  header .navbar {
    padding: 40px 20px;
  }
  .modal-content-mag {
    gap: 16px;
  }

  .modal-content-mag img {
    width: 250px;
    height: 340px;
  }

  .modal-body-mag h2 {
    font-size: 24px;
  }

  .modal-body-mag p {
    font-size: 14px;
  }
}

@media (width <= 910px) {
  /* .sello img {
    width: 16%;
  } */
  header .navbar {
    padding: 40px 20px;
  }
  .grid-cards {
    grid-template-columns: repeat(2, 1fr);
  }

  form {
    width: 100%;
  }

  .image-container h3 {
    font-size: 18px;
  }
  .image-container p {
    font-size: 10px;
  }
}

@media (width <= 805px) {
  /* .sello {
    width: 18%;
  } */
  .cover {
    flex-direction: column;
  }
  .covers .cover-content,
  .covers .cover-img {
    width: 100%;
  }
  .covers .cover-content {
    padding: 50px 0 0 0;
  }
  header .navbar {
    padding: 40px 20px;
  }
  .modal-content-mag {
    width: 80%;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 70px;
  }

  .modal-content-mag img {
    width: 60%;
    height: auto;
  }

  .modal-body-mag {
    align-items: center;
  }
  .modal-body {
    flex-direction: column;
  }
  .modal-content {
    flex-direction: column;
    width: 80%;
  }
  .modal-body img {
    width: 70%;
  }
  .modal-text {
    max-width: 80%;
    padding: 20px;
    text-align: center;
  }
  .social-links {
    justify-content: center;
  }
  .contact {
    margin-bottom: 40px;
  }
  .contact-content {
    display: flex;
    flex-direction: column-reverse;
    gap: 0;
    margin-bottom: 12px;
  }
  .contact_form {
    padding: 20px 0;
    width: 100%;
  }
  .contact-image {
    width: 100%;
    padding-top: 32px;
  }
  .contact-image img {
    width: 90%;
  }
  .outside {
    display: block;
  }
  .inside {
    display: none;
  }
}

@media (width <= 600px) {
  .mode-btn {
    width: 100%;
    padding: 10px 0;
    order: 2;
  }
  .cover-text {
    order: 3;
    padding: 16px 0;
    font-size: 16px;
  }
  .cover-tittle.resp {
    display: block;
    order: 1;
    font-size: 40px;
    text-align: center;
  }
  .light {
    order: 4;
  }
  .light .cover-text2 {
    font-size: 12px;
  }
  .lead-footer2 {
    /* order: 5; */
    font-size: 12px;
  }
  .covers .cover-content {
    padding: 18px 0 0 0;
  }
  .cover .btn {
    width: 47%;
  }
  .no-resp {
    display: none;
  }
  .covers {
    padding: 40px 0;
  }
  .cover {
    flex-direction: column-reverse;
  }

  .covers .cover-content,
  .covers .cover-img {
    width: 100%;
  }

  .cover-content {
    padding: 0;
  }

  .cover-img {
    padding: 0;
  }

  .cover-tittle {
    font-size: 32px;
  }
  .mode-btn {
    text-align: center;
  }

  .grid-cards {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 64px;
  }
  .card {
    width: 100%;
  }
  .card-content .btn-mag,
  .card-content .btn-magno {
    width: 100%;
  }

  .image-container h3 {
    font-size: 20px;
  }
  .image-container p {
    font-size: 12px;
  }

  .home {
    display: block;
  }
  .open-menu,
  .close-menu {
    display: block;
    border: 0;
    background-color: transparent;
    cursor: pointer;
    color: #000000;
  }

  header .navbar {
    padding: 40px 20px;
  }

  .navbar .open-menu {
    font-size: 24px;
  }

  .right .close-menu {
    font-size: 24px;
  }

  .close-menu {
    display: block;
    width: 10%;
    margin-top: 1rem;
    margin-left: 88%;
  }

  .right {
    position: fixed;
    z-index: 9999;
    transition: opacity 0.5s ease-in-out;
    width: 100vw;
    height: 100vh;
    opacity: 0;
    visibility: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    top: 0;
    left: 0;
    background-color: #ffffff;
    color: #000000;
    padding: 2rem auto;
  }

  .right.visible {
    opacity: 1;
    visibility: visible;
  }

  .nav-list {
    flex-direction: column;
    width: 90%;
  }

  .right .nav-list li {
    width: 90%;
  }

  .nav-list a {
    font-size: 18px;
    padding: 8px;
    margin: 8px 0;
    width: 100%;
    display: block;
  }
  .nav-list a:hover {
    color: #ffffff;
    background-color: #212126;
  }

  .right .nav-social {
    font-size: 24px;
    margin-top: 40%;
  }
  .nav-social a {
    font-size: 24px;
    margin: 12px;
  }

  .swiper-button-prev,
  .swiper-button-next {
    transform: scale(0);
  }

  .grid-container {
    grid-template-rows: repeat(1, 1fr);
    grid-template-columns: repeat(1, 1fr);
    margin: 0 auto;
  }
  .image-container {
    width: 100%;
    margin: 0 auto;
  }

  section .lead-small2 {
    text-align: center;
  }

  .text .lead {
    font-size: 28px;
  }

  .index-contact .lead {
    font-size: 24px;
  }
  /* modal */
  .modal {
    width: 100%;
    background-color: #ffffff;
  }
  .modal-content {
    flex-direction: column;
    width: 100%;

    max-width: 400px;
    padding: 8px;
  }

  .modal-body {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .modal img {
    width: 100%;
    max-width: none;
  }

  .modal-text {
    max-width: 100%;
    padding: 0;
  }
  /* sponsored */
  .sponsored {
    padding: 80px 0 0 0;
  }
  .grid-sponsored {
    grid-template-columns: 1fr;
    margin: 16px auto;
  }
  .grid-sponsored img {
    width: 180px;
    margin: 10px auto;
    padding: 0;
  }

  /* footer */

  footer .navbar {
    flex-direction: column;
    align-items: start;
    gap: 30px;
  }

  .footer-list .nav-list {
    flex-direction: row;
    width: auto;
    gap: 20px;
  }

  footer .nav-list {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    list-style: none;
    padding: 0;
    margin: 0;
  }
  footer .nav-list li {
    flex: 0 1 auto;
  }
  footer .nav-list a {
    display: block;
    white-space: nowrap;
    padding: 0;
    margin: 0;
  }

  .footer-content {
    flex-direction: column-reverse;
    gap: 24px;
  }

  footer .nav-social a {
    font-size: 24px;
    margin: 0 24px 0 0;
  }

  .container-crew {
    flex-direction: column;
    align-items: center;
    gap: 2rem;
  }
  .contact-image img {
    width: 100%;
  }

  .tittle-content {
    font-size: 32px;
  }
  .lead-about {
    font-size: 24px;
  }
  /* modal magazine */

  .modal-mag {
    background-color: #ffffff;
  }

  .modal-content-mag {
    width: 100%;

    margin: auto 0;
    padding: 60px 10px;
    flex-direction: column;
    gap: 20px;
  }

  .modal-content-mag img {
    width: 70%;
    height: auto;
    margin: 0 auto;
  }

  .modal-body-mag {
    width: 100%;
    margin: 0 auto;
    padding: 10px;
    gap: 20px;
  }

  .modal-body-mag h2 {
    font-size: 32px;
  }
  .modal-body-mag p {
    font-size: 14px;
  }

  .close-btn-mag {
    top: 10px;
    right: 10px;
    font-size: 20px;
  }

  .modal-body-mag .btn-mag,
  .modal-body-mag .btn-magno {
    width: 100%;
  }
}
